diff --git a/src/rig.c b/src/rig.c
index ff1521c1b..6efc6540e 100644
--- a/src/rig.c
+++ b/src/rig.c
@@ -2431,6 +2431,11 @@ int HAMLIB_API rig_get_mode(RIG *rig,
         RETURNFUNC(RIG_OK);
     }
 
+    if (vfo == RIG_VFO_B && !(caps->targetable_vfo & RIG_TARGETABLE_MODE))
+    {
+        vfo = RIG_VFO_A; // we'll just return VFO_A mode which is probably cached
+    }
+
     if ((*mode != RIG_MODE_NONE && cache_ms_mode < rig->state.cache.timeout_ms)
             && cache_ms_width < rig->state.cache.timeout_ms)
     {
